Bug 1346781 - neutron-server fails to start due to systemd timeout if DB is unavailable
Summary: neutron-server fails to start due to systemd timeout if DB is unavailable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jakub Libosvar
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 10:51 UTC by Jakub Libosvar
Modified: 2016-12-14 15:39 UTC (History)
19 users (show)

Fixed In Version: openstack-neutron-9.0.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1188198
Environment:
Last Closed: 2016-12-14 15:39:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
RDO 1388 None None None 2016-10-17 16:22:28 UTC
RDO 1464 None None None 2016-10-17 16:23:07 UTC

Comment 1 Assaf Muller 2016-10-14 17:11:37 UTC
Any update here?

Comment 2 Jakub Libosvar 2016-10-17 07:50:05 UTC
(In reply to Assaf Muller from comment #1)
> Any update here?

WRT systemd, this was fixed upstream - https://github.com/rdo-packages/neutron-distgit/blob/rpm-master/neutron-server.service#L13

I'll check with Brent whether we configure max_retries to -1 with tripleo

Comment 3 Jakub Libosvar 2016-10-17 13:32:28 UTC
(In reply to Jakub Libosvar from comment #2)
> (In reply to Assaf Muller from comment #1)
> > Any update here?
> 
> WRT systemd, this was fixed upstream -
> https://github.com/rdo-packages/neutron-distgit/blob/rpm-master/neutron-
> server.service#L13
> 
> I'll check with Brent whether we configure max_retries to -1 with tripleo

I checked on OSP10 deployment and we do have everything set for overcloud controller services. We lack this behavior in undercloud though.

Comment 4 Assaf Muller 2016-10-17 14:09:29 UTC
Brent please see comment 3. Lacking max_retries on undercloud Neutron.

Comment 5 Michele Baldessari 2016-10-17 15:39:01 UTC
It is correct to have it set on the overcloud only (at least until we have undercloud HA). The reason we have it on the overcloud HA is because we cannot guarantee that the backend services (db, rabbit, etc) are up before the systemd-managed services (like neutron). So I think this should be ON_QA at this point?

Comment 6 Assaf Muller 2016-10-17 15:49:45 UTC
(In reply to Michele Baldessari from comment #5)
> It is correct to have it set on the overcloud only (at least until we have
> undercloud HA). The reason we have it on the overcloud HA is because we
> cannot guarantee that the backend services (db, rabbit, etc) are up before
> the systemd-managed services (like neutron). So I think this should be ON_QA
> at this point?

Roger that.

Comment 8 Toni Freger 2016-10-26 11:28:38 UTC
The code verified on python-neutron-9.0.0-0.20160929051647.71f2d2b.el7ost.noarch

Comment 11 errata-xmlrpc 2016-12-14 15:39:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.